// ! WARNING: Installing prettier in a different dir than package.json will cause VSCode to yell at you.
// ! You'll need to specify the correct path (readlink -f $(which prettier)) in your settings.
module.exports = {
  printWidth: 110,
  tabWidth: 2,
  useTabs: false,
  semi: true,
  singleQuote: true,
  quoteProps: "as-needed",
  jsxSingleQuote: false,
  trailingComma: "es5",
  bracketSpacing: true,
  bracketSameLine: false,
  arrowParens: "always",
  // rangeStart: 0,
  // rangeEnd: Infinity,
  // parser: null,
  requirePragma: false,
  insertPragma: false,
  proseWrap: "preserve",
  htmlWhitespaceSensitivity: "css",
  vueIndentScriptAndStyle: true,
  endOfLine: "lf",
  embeddedLanguageFormatting: "auto",
  singleAttributePerLine: false,
};
